mispipe(1)

NAME
mispipe - pipe two commands, returning the exit status of the first

SYNOPSIS
mispipe
["command1"] ["command2"]

DESCRIPTION
mispipe pipes two commands together like the shell does, but unlike piping in the shell, which returns the exit status of the last command; when using mispipe, the exit status of the first command is returned.

Note that some shells, notably bash, do offer a pipefail option, however, that option does not behave the same since it makes a failure of any command in the pipeline be returned, not just the exit status of the first.

EXIT STATUS
The exit status of the first command. If the process terminated abnormally (due to a signal), 128 will be added to its exit status.

AUTHOR
Nathanael Nerode